AIScheduleValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.shared.AIScheduleValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory.shared
Class AIScheduleValue

    java.lang.Object
      org.hyperic.hq.autoinventory.AIScheduleBaseValue
          org.hyperic.hq.autoinventory.shared.AIScheduleValue

All Implemented Interfaces:
  java.io.Serializable

    public class AIScheduleValue

extends AIScheduleBaseValue
implements java.io.Serializable

Value object for AISchedule.

See Also:
  Serialized Form

Constructor Summary
`AIScheduleValue()`
`AIScheduleValue(AIScheduleValue otherValue)`
`AIScheduleValue(java.lang.Integer id, java.lang.Integer entityType, java.lang.Integer entityId, java.lang.String subject, ScheduleValue scheduleValue, byte[] scheduleValueBytes, java.lang.String triggerName, java.lang.String jobName, long nextFireTime, java.lang.String jobOrderData, java.lang.String scanName, java.lang.String scanDesc)`

Method Summary
`boolean` | `entityIdHasBeenSet()`
`boolean` | `entityTypeHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`java.lang.Integer` | `getEntityId()`
`java.lang.Integer` | `getEntityType()`
`java.lang.Integer` | `getId()`
`java.lang.String` | `getJobName()`
`java.lang.String` | `getJobOrderData()`
`long` | `getNextFireTime()`
`java.lang.String` | `getScanDesc()`
`java.lang.String` | `getScanName()`
`ScheduleValue` | `getScheduleValue()`
`byte[]` | `getScheduleValueBytes()`
`java.lang.String` | `getSubject()`
`java.lang.String` | `getTriggerName()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `jobNameHasBeenSet()`
`boolean` | `jobOrderDataHasBeenSet()`
`boolean` | `nextFireTimeHasBeenSet()`
`boolean` | `scanDescHasBeenSet()`
`boolean` | `scanNameHasBeenSet()`
`boolean` | `scheduleValueBytesHasBeenSet()`
`boolean` | `scheduleValueHasBeenSet()`
`void` | `setEntityId(java.lang.Integer entityId)`
`void` | `setEntityType(java.lang.Integer entityType)`
`void` | `setId(java.lang.Integer id)`
`void` | `setJobName(java.lang.String jobName)`
`void` | `setJobOrderData(java.lang.String jobOrderData)`
`void` | `setNextFireTime(long nextFireTime)`
`void` | `setScanDesc(java.lang.String scanDesc)`
`void` | `setScanName(java.lang.String scanName)`
`void` | `setScheduleValue(ScheduleValue scheduleValue)`
`void` | `setScheduleValueBytes(byte[] scheduleValueBytes)`
`void` | `setSubject(java.lang.String subject)`
`void` | `setTriggerName(java.lang.String triggerName)`
`boolean` | `subjectHasBeenSet()`
`java.lang.String` | `toString()`
`boolean` | `triggerNameHasBeenSet()`

Methods inherited from class org.hyperic.hq.autoinventory.AIScheduleBaseValue
`getConfig, getConfigObj, setConfig, setConfigObj`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AIScheduleValue

    public AIScheduleValue()

### AIScheduleValue

    public AIScheduleValue(java.lang.Integer id,
                           java.lang.Integer entityType,
                           java.lang.Integer entityId,
                           java.lang.String subject,
                           ScheduleValue scheduleValue,
                           byte[] scheduleValueBytes,
                           java.lang.String triggerName,
                           java.lang.String jobName,
                           long nextFireTime,
                           java.lang.String jobOrderData,
                           java.lang.String scanName,
                           java.lang.String scanDesc)

### AIScheduleValue

    public AIScheduleValue(AIScheduleValue otherValue)

Method Detail

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### idHasBeenSet

    public boolean idHasBeenSet()

### getEntityType

    public java.lang.Integer getEntityType()

### setEntityType

    public void setEntityType(java.lang.Integer entityType)

### entityTypeHasBeenSet

    public boolean entityTypeHasBeenSet()

### getEntityId

    public java.lang.Integer getEntityId()

### setEntityId

    public void setEntityId(java.lang.Integer entityId)

### entityIdHasBeenSet

    public boolean entityIdHasBeenSet()

### getSubject

    public java.lang.String getSubject()

### setSubject

    public void setSubject(java.lang.String subject)

### subjectHasBeenSet

    public boolean subjectHasBeenSet()

### getScheduleValue

    public ScheduleValue getScheduleValue()

### setScheduleValue

    public void setScheduleValue(ScheduleValue scheduleValue)

### scheduleValueHasBeenSet

    public boolean scheduleValueHasBeenSet()

### getScheduleValueBytes

    public byte[] getScheduleValueBytes()

### setScheduleValueBytes

    public void setScheduleValueBytes(byte[] scheduleValueBytes)

### scheduleValueBytesHasBeenSet

    public boolean scheduleValueBytesHasBeenSet()

### getTriggerName

    public java.lang.String getTriggerName()

### setTriggerName

    public void setTriggerName(java.lang.String triggerName)

### triggerNameHasBeenSet

    public boolean triggerNameHasBeenSet()

### getJobName

    public java.lang.String getJobName()

### setJobName

    public void setJobName(java.lang.String jobName)

### jobNameHasBeenSet

    public boolean jobNameHasBeenSet()

### getNextFireTime

    public long getNextFireTime()

### setNextFireTime

    public void setNextFireTime(long nextFireTime)

### nextFireTimeHasBeenSet

    public boolean nextFireTimeHasBeenSet()

### getJobOrderData

    public java.lang.String getJobOrderData()

### setJobOrderData

    public void setJobOrderData(java.lang.String jobOrderData)

### jobOrderDataHasBeenSet

    public boolean jobOrderDataHasBeenSet()

### getScanName

    public java.lang.String getScanName()

### setScanName

    public void setScanName(java.lang.String scanName)

### scanNameHasBeenSet

    public boolean scanNameHasBeenSet()

### getScanDesc

    public java.lang.String getScanDesc()

### setScanDesc

    public void setScanDesc(java.lang.String scanDesc)

### scanDescHasBeenSet

    public boolean scanDescHasBeenSet()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.